Name:           python-TurboMail
Version:        3.0.3
Release:        17%{?dist}
Summary:        Multi-threaded mail queue manager for TurboGears applications

Group:          Development/Libraries
License:        MIT
URL:            http://www.python-turbomail.org
Source0:        http://pypi.python.org/packages/source/T/TurboMail/TurboMail-%{version}.tar.gz
Source1:        LICENSE.txt
BuildArch:      noarch

BuildRequires:  python2-setuptools
BuildRequires:  python2-devel


%global _description\
TurboMail is a multi-threaded mail delivery subsystem and MIME message\
generation framework for Python. TurboMail uses built-in Python modules for SMTP\
communication and MIME e-mail creation, but greatly simplifies these tasks by\
performing the grunt-work for you.

%description %_description

%package -n python2-turbomail
Summary: %summary
Requires:       python2-setuptools
%{?python_provide:%python_provide python2-turbomail}
Provides:       python-TurboMail = %{version}-%{release}
Obsoletes:      python-TurboMail < 3.0.3-13

%description -n python2-turbomail %_description

%prep
%setup -q -n TurboMail-%{version}
find . -type f -name '.*' | xargs rm -rf
rm -fr tests
cp %{SOURCE1} .

%build
%py2_build


%install
rm -rf %{buildroot}
%py2_install


%files -n python2-turbomail
%doc README.txt LICENSE.txt
%{python2_sitelib}/TurboMail-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/turbomail/


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 29 2017 Dan Callaghan <dcallagh@redhat.com> - 3.0.3-15
- Provide/obsolete old spelling with capital letters (python-TurboMail)

* Thu Aug 24 2017 Iryna Shcherbina <ishcherb@redhat.com> - 3.0.3-14
- Add a build-time dependency on python2-devel and modernize spec file

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.0.3-13
- Python 2 binary package renamed to python2-turbomail
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 12 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 3.0.3-6
- Replace dep on python-setuptools-devel with python-setuptools

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Apr 06 2011 Luke Macken <lmacken@redhat.com> - 3.0.3-1
- Update to 3.0.3

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Sep 28 2009 Felix Schwarz <felix.schwarz@oss.schwarz.eu> - 3.0-1
- Update to new major version 3.0
- fixed copyright attribution in LICENSE.txt

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.1-5
- Rebuild for Python 2.6

* Tue Sep  2 2008 Michael Schwendt <mschwendt@fedoraproject.org> 2.1-4
- Include unowned directory.

* Tue Feb 19 2008 Luke Macken <lmacken@redhat.com> 2.1-2
- Patch setup.py to add __requires__="TurboGears".  This will make sure we pull
  in the appropriate CherryPy module.

* Tue Feb 19 2008 Luke Macken <lmacken@redhat.com> 2.1-2
- Bump and rebuild to fix a broken upgrade path

* Mon Nov 26 2007 Luke Macken <lmacken@redhat.com> 2.1-1
- Update to 2.1

* Tue Jun  5 2007 Luke Macken <lmacken@redhat.com> 2.0.4-2
- Add python-devel to BuildRequires

* Tue Jun  5 2007 Luke Macken <lmacken@redhat.com> 2.0.4-1
- Latest upstream release

* Fri Jan 19 2007 Luke Macken <lmacken@redhat.com> 2.0.3-3
- Remove superfluous build

* Fri Dec 15 2006 Luke Macken <lmacken@redhat.com> 2.0.3-2
- Add TurboGears to BuildRequires
- Remove superfluous CFLAGS
- Add LICENSE.txt

* Thu Dec 14 2006 Luke Macken <lmacken@redhat.com> 2.0.3-1
- Initial release
